/* © SRSoftware 2024 */
package de.srsoftware.cal.api;

import java.net.URL;
import java.util.Map;
import org.json.JSONObject;

/**
 * an attachment for appointments
 * @param url the URL of the attached document
 * @param mime the mime type of the attached document
 */
public record Attachment(URL url, String mime) {
	public JSONObject json() {
		return new JSONObject(Map.of("url", url.toString(), "mime", mime == null ? "content/unknown" : mime));
	}
}
