/* © SRSoftware 2024 */
package de.srsoftware.cal.api;

import java.io.IOException;
import java.util.stream.Stream;

/**
 * Instances of this class can be used to read Appointments from various sources
 */
public interface Importer {
	/**
	 * Text descripbing this importer
	 * @return informational text
	 */
	String description();

	/**
	 * get the list of appointments from the source associated with this importer
	 *
	 * @return a list of appointments
	 * @throws IOException if there is an IOException
	 */
	Stream<Appointment> fetch() throws IOException;
}
