/* © SRSoftware 2024 */
package de.srsoftware.cal;

import static org.junit.jupiter.api.Assertions.assertEquals;

import org.junit.jupiter.api.Test;

public class UtilTest {

	@Test
	public void testContentLine(){
		var longText = """
This text block, spanning several long lines, should be distributed over several lines, when passing it to the contentLine function.
Let`s see what happens… New line breaks should be introduced at roughly every 70 characters,
while the existing line breaks should be converted to '\n' escapes.""";
		var expected = """
Test:This text block, spanning several long lines, should be\r
\t distributed over several lines, when passing it to the contentLine\r
\t function.\\nLet`s see what happens… New line breaks should be\r
\t introduced at roughly every 70 characters,\\nwhile the existing line\r
\t breaks should be converted to '\\n' escapes.\r\n""";
		var result = Util.contentLine("Test",longText);
		assertEquals(expected,result);
	}
}
