/* © SRSoftware 2024 */
package de.srsoftware.cal.db;

import de.srsoftware.tools.Error;
import java.sql.SQLException;
import java.util.Collection;
import java.util.List;
import java.util.Map;

public class SqlError<None> extends Error<None> {
	public SqlError(String message, Map<String, Object> data, Collection<Exception> exceptions) {
		super(message, null, exceptions);
	}

	public SQLException exception() {
		return exceptions()  //
		    .stream()
		    .filter(ex -> ex instanceof SQLException)
		    .map(SQLException.class ::cast)
		    .findAny()
		    .orElse(null);
	}

	public static <T> SqlError<T> of(SQLException e, String message, Object... fills) {
		return new SqlError<>(message.formatted(fills), null, List.of(e));
	}

	@Override
	public <NewType> SqlError<NewType> transform() {
		return new SqlError<>(message(), data(), exceptions());
	}
}
