/* © SRSoftware 2024 */
package de.srsoftware.cal;

import com.sun.net.httpserver.HttpExchange;
import de.srsoftware.tools.PathHandler;
import java.io.IOException;

public class IndexHandler extends PathHandler {
	PathHandler staticPages;

	public IndexHandler(PathHandler staticPages) {
		this.staticPages = staticPages;
	}

	@Override
	public boolean doGet(String path, HttpExchange ex) throws IOException {
		return switch (path) {
            case "/" -> staticPages.doGet("/index", ex);
            case "/favicon.ico" -> staticPages.doGet("/images/%s".formatted(path), ex);
            default -> super.doGet(path, ex);
        };
    }
}
