/* © SRSoftware 2024 */
import static de.srsoftware.cal.ApiEndpoint.parsePast;
import static org.junit.jupiter.api.Assertions.assertEquals;

import java.time.LocalDateTime;
import org.junit.jupiter.api.Test;

public class ParsePastTest {
	@Test
	public void testMonth() {
		var expected = LocalDateTime.now().withDayOfMonth(1).withHour(0).withMinute(0).withSecond(0).withNano(0);
		assertEquals(expected, parsePast(null).optional().orElse(null));
		assertEquals(expected.minusMonths(1), parsePast("1m").optional().orElse(null));
		assertEquals(expected.minusMonths(2), parsePast("2m").optional().orElse(null));
		assertEquals(expected.minusMonths(12), parsePast("12m").optional().orElse(null));
	}

	@Test
	public void testYear() {
		var expected = LocalDateTime.now().withDayOfMonth(1).withHour(0).withMinute(0).withSecond(0).withNano(0);
		assertEquals(expected, parsePast(null).optional().orElse(null));
		assertEquals(expected.minusYears(1), parsePast("1y").optional().orElse(null));
		assertEquals(expected.minusYears(2), parsePast("2y").optional().orElse(null));
		assertEquals(expected.minusYears(12), parsePast("12y").optional().orElse(null));
	}

	@Test
	public void testAll() {
		assertEquals(null, parsePast("all"));
	}

	@Test
	public void testDefault() {
		var expected = LocalDateTime.now().withDayOfMonth(1).withHour(0).withMinute(0).withSecond(0).withNano(0);
		assertEquals(expected, parsePast(null).optional().get());
	}
}
